module.exports = (db, DataTypes) => {
  return db.define("bmmerchantbusinessscope", {
    id: { type:DataTypes.BIGINT(20), autoIncrement:true, primaryKey : true, unique : true},
		name: { type: DataTypes.STRING(100), comment:'商户名称'},
    merchantId: { type: DataTypes.BIGINT(32), field:'merchant_id', comment:'商户ID' }
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'bm_merchant_businessscope',
    validate: {}
  });
}