module.exports = (db, DataTypes) => {
  return db.define("bmuserbiz", {
    merchantId: DataTypes.INTEGER,
    companyId: DataTypes.INTEGER,
    orderId: DataTypes.INTEGER,
    orderNo: DataTypes.STRING(32),
    user_id: DataTypes.INTEGER,
    taxNo: DataTypes.STRING(64),
    idcard_front: DataTypes.STRING(300),
    idcard_back: DataTypes.STRING(300),
    idcard: DataTypes.STRING(20),
    bank_front: DataTypes.STRING(300),
    bank_back: DataTypes.STRING(300),
    bank: DataTypes.STRING(100),
    bankno: DataTypes.STRING(30),
    bankaddr: DataTypes.STRING(200),
    bankMobile: DataTypes.STRING(30),
    person_img: DataTypes.STRING(300),
    legal_name: DataTypes.STRING(20),
    legal_mobile: DataTypes.STRING(20),
    companyNames: DataTypes.STRING(100),
    businessScope: DataTypes.STRING(300),
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'bm_user_biz',
    validate: {}
  });
}